Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.callback
Class Callback

    java.lang.Object
      org.jboss.remoting.InvocationRequest
          org.jboss.remoting.callback.Callback

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NullCallbackStore.FailedCallback

    public class Callback

extends InvocationRequest

This is the class to use for sending callback payloads from the server handler to the callback listener.

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CALLBACK_HANDLE_OBJECT_KEY`
`static java.lang.String` | `SERVER_LOCATOR_KEY`

Constructor Summary
`Callback(java.lang.Object callbackPayload)` Constructs the callback object with any object payload.

Method Summary
`java.lang.Object` | `getCallbackHandleObject()` Returns the handle object originally specified when initially registering the callback listener.
`java.lang.Object` | `getCallbackObject()` Gets the callback payload sent from the server handler.
`InvokerLocator` | `getServerLocator()` Gets the locator for the target server where the callback was generated (this will be for the same server that the callback client was registered).
`protected void` | `setCallbackHandleObject(java.lang.Object handleObject)`

Methods inherited from class org.jboss.remoting.InvocationRequest
`getLocator, getParameter, getRequestPayload, getReturnPayload, getSessionId, getSubsystem, setLocator, setParameter, setRequestPayload, setReturnPayload, setSessionId, setSubsystem, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CALLBACK_HANDLE_OBJECT_KEY

    public static final java.lang.String CALLBACK_HANDLE_OBJECT_KEY

See Also:
  Constant Field Values

### SERVER_LOCATOR_KEY

    public static final java.lang.String SERVER_LOCATOR_KEY

See Also:
  Constant Field Values

Constructor Detail

### Callback

    public Callback(java.lang.Object callbackPayload)

  Constructs the callback object with any object payload.

  Parameters:
    `callbackPayload` -

Method Detail

### getCallbackHandleObject

    public java.lang.Object getCallbackHandleObject()

  Returns the handle object originally specified when initially registering the callback listener. This can be used to provide context upon callbacks.

  Returns:

### setCallbackHandleObject

    protected void setCallbackHandleObject(java.lang.Object handleObject)

### getCallbackObject

    public java.lang.Object getCallbackObject()

  Gets the callback payload sent from the server handler.

  Returns:

### getServerLocator

    public InvokerLocator getServerLocator()

  Gets the locator for the target server where the callback was generated (this will be for the same server that the callback client was registered).

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.